/**
 * @file person-db.h Galago Person Database
 *
 * Copyright (C) 2004-2005 Christian Hammond.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA  02111-1307  USA
 */
#ifndef _GALAGOD_PERSON_DB_H_
#define _GALAGOD_PERSON_DB_H_

const char *galagod_person_db_find_with_account(GalagoAccount *account);

void galagod_person_db_flush(void);
void galagod_person_db_init(void);
void galagod_person_db_uninit(void);

#endif /* _GALAGOD_PERSON_DB_H_ */
